%define name	watchdog
%define version	4.5
%define release	1
%define prefix	/usr

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A software watchdog
Copyright: GPL
Group: Utilities/System
Vendor: Michael Meskes <meskes@debian.org>
Distribution: Should be part of RedHat Linux
Icon: doggy.gif
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/%{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Packager: jorgens+rpm@pvv.org


%description
The watchdog program writes to /dev/watchdog every ten seconds.
If the device is open but not written to within a minute the machine
will reboot.  Each write delays the reboot time another minute.
The ability to reboot will depend on the state of the machines
and interrupts.  To use this software at least a version 1.3.52
kernel is needed.


%prep
%setup

%build
./configure --prefix=%{prefix}
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{dev,etc/rc.d/init.d}
make install DESTDIR=$RPM_BUILD_ROOT
install -c -m 755 rc.watchdog.redhat $RPM_BUILD_ROOT/etc/rc.d/init.d/watchdog
mknod $RPM_BUILD_ROOT/dev/watchdog c 10 130
mknod $RPM_BUILD_ROOT/dev/temperature c 10 131


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add watchdog

%postun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del watchdog
fi


%files
%doc ChangeLog examples README NEWS AUTHORS COPYING IAFA-PACKAGE INSTALL watchdog.lsm
%doc /usr/man/man?/*
/usr/sbin/watchdog
/etc/rc.d/init.d/watchdog
/etc/watchdog.conf
